Loading...
Searching...
No Matches
BALL::VIEW::TextEditorWidget Class Reference

`#include <BALL/VIEW/WIDGETS/textEditorWidget.h>`

Inheritance diagram for BALL::VIEW::TextEditorWidget:

## Classes

class | LineNumbers

## Public Member Functions

| TextEditorWidget (QWidget *parent=0)
void | lineNumbersPaintEvent (QPaintEvent *event)
int | lineNumbersWidth ()

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Detailed Description

This widget can be used for displaying or editing text. This class is heavily based on the Qt CodeEditor example.

Definition at line 31 of file textEditorWidget.h.

## Constructor & Destructor Documentation

## TextEditorWidget()

BALL::VIEW::TextEditorWidget::TextEditorWidget | ( | QWidget * | parent = 0 | ) |

## Member Function Documentation

## lineNumbersPaintEvent()

void BALL::VIEW::TextEditorWidget::lineNumbersPaintEvent | ( | QPaintEvent * | event | ) |

## lineNumbersWidth()

int BALL::VIEW::TextEditorWidget::lineNumbersWidth | ( |  | ) |

## resizeEvent()

void BALL::VIEW::TextEditorWidget::resizeEvent | ( | QResizeEvent * | event | ) |

protected